Bug 1659464 - [CI] TLS everywhere deployments fail with: Invalid input for field/attribute compact_services [NEEDINFO]
Summary: [CI] TLS everywhere deployments fail with: Invalid input for field/attribute ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novajoin
Version: 14.0 (Rocky)
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ga
: 14.0 (Rocky)
Assignee: Ade Lee
QA Contact: Pavan
URL:
Whiteboard:
Depends On:
Blocks: 1656124
TreeView+ depends on / blocked
 
Reported: 2018-12-14 13:24 UTC by Raildo Mascena de Sousa Filho
Modified: 2019-02-22 03:55 UTC (History)
6 users (show)

Fixed In Version: python-novajoin-1.0.22-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1656124
: 1659597 (view as bug list)
Environment:
Last Closed: 2019-01-11 11:55:18 UTC
Target Upstream Version:
jamsmith: needinfo? (alee)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 624502 None master: MERGED novajoin: Handle compact services on multiple lines (Ida39f5768c67f982b2fe316f6fae4988a74c8534) 2018-12-17 14:57:16 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:55:28 UTC

Comment 6 Raildo Mascena de Sousa Filho 2018-12-17 16:27:48 UTC
We had a reported Bug 1656124 where this clone was made of it and the issue was resumed here:

In THT, we construct data to be passed to novajoin for all the services to be configured.  The data is passed as nova metadata fields.
* There can be any number of these fields, but each field cannot exceed 256 bytes.
* In particular, the services on a controller not related to a VIP are passed in a field called "compact_services"
* If there are additional services added (as ODL does), we can exceed the 256 byte restriction.

To fix that we needed two changes, one on the tripleo-heat-templates where it was fixed on openstack-tripleo-heat-templates-9.0.1-0.20181013060906.el7ost and we also needed a novajoin rebase for python-novajoin-1.0.22-1.el7ost.

This BZ only makes sense to be fixed with both changes land in the same puddle, that the reason why we're moving this BZ for GA.

Comment 23 errata-xmlrpc 2019-01-11 11:55:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.